Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Enum ResAuthType

    java.lang.Object
      java.lang.Enum<ResAuthType>
          org.jboss.shrinkwrap.descriptor.api.javaee6.ResAuthType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResAuthType>

    public enum ResAuthType

extends java.lang.Enum<ResAuthType>

This class implements the `res-authType` xsd type

Original Documentation:

The res-authType specifies whether the Deployment Component
code signs on programmatically to the resource manager, or
whether the Container will sign on to the resource manager
on behalf of the Deployment Component. In the latter case,
the Container uses information that is supplied by the
Deployer.
The value must be one of the two following:
Application
Container

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_APPLICATION`
`_CONTAINER`

Method Summary
`static ResAuthType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static ResAuthType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResAuthType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _APPLICATION

    public static final ResAuthType _APPLICATION

### _CONTAINER

    public static final ResAuthType _CONTAINER

Method Detail

### values

    public static ResAuthType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResAuthType c : ResAuthType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResAuthType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ResAuthType>`

### getFromStringValue

    public static ResAuthType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD